---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable delete`

Delete a variable for a project or group.

```plaintext
glab variable delete <key> [flags]
```

## Aliases

```plaintext
remove
```

## Examples

```plaintext
glab variable delete VAR_NAME
glab variable delete VAR_NAME --scope=prod
glab variable delete VARNAME -g mygroup

```

## Options

```plaintext
  -g, --group string   Delete variable from a group.
  -s, --scope string   The 'environment_scope' of the variable. Options: all (*), or specific environments. (default "*")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
